<?php
/*
 * Server info display script
 * Made by starky
*/

/* Script security */
if(!defined("MONENGINE")) {
	header("Location: index.php");
	exit();
}
/* Other code */

require_once LOCALE.LOCALESET."serv.php";

$server_id = $_GET['id'];
	
$take_server = dbquery("SELECT * FROM ".DB_SERVERS." WHERE server_id = ".mysql_real_escape_string($server_id)."");
if(mysql_num_rows($take_server) == 0) {
	displayMessage('Выбранный сервер не существует, либо был удалён.', 'error');
} else {
	$server_data = dbarray_fetch($take_server);

	$site = "";	
	if($server_data['server_site'] !="") {
		$site = "<a href='http://".$server_data['server_site']."' target='_blank'>".$server_data['server_site']." </a>";
	}
		
	$icq = "";
	if($server_data['server_icq'] !="") {
		$icq = $server_data['server_icq']." <img src='http://status.icq.com/online.gif?icq=".$server_data['server_icq']."&img=26'>";
	}
	$status="<font color='#B53333'><b>Offline</b></font>";
	if($server_data['server_status'] == 1) $status = "<font color='#6e8d4c'><b>Online</b></font>";

	$last_update = $settings['last_update'];
	$time_diff = time() - $last_update;
	
	if($time_diff >= 60) {
		$time_lasted = floor($time_diff / 60)." минут";
	} else {
		$time_lasted = $time_diff." секунд";
	}
	
	
	
	echo "
			<div class='horizontal_line'>Сервер: <b>{$server_data['server_name']}</b></div>
			<div class='cont'>
		 ";
	// Start of server page
	echo "<table cellspacing='0' cellpadding='0' width='100%' class='info_tbl'>";
	// Left col (info)
	echo "<td valign='top' width='340' style='padding-bottom:20px;'>";
	
	$percent_loaded = floor(($server_data['server_players'] / $server_data['server_maxplayers']) * 100);
	
	switch($percent_loaded) {
		case ($percent_loaded <= 40):
			$load_color = 'green';
			break;
		case ($percent_loaded <= 80):
			$load_color = 'yellow';
			break;
		case ($percent_loaded <= 100):
			$load_color = 'red';
			break;
		default:
			$load_color = 'green';
			break;
	}
	if(is_file("images/maps/{$server_data['server_game']}/{$server_data['server_map']}.jpg")) {
		$monitor_url = "monitor/{$server_data['server_game']}/{$server_data['server_map']}.jpg";
	} else {
		$monitor_url = "monitor_nomap.gif";
	}
	
	echo	"
			<div>
				<img src='/images/$monitor_url' style='width:297px;height:202px;' alt='de_dust2'>
			</div>
			<div style='text-align:center;padding-right:50px;'>
				<table align='center' cellpadding='0' cellspacing='0' width='236' height='30'>
					<tr>
						<td class='load_bar load_$load_color' width='".(($percent_loaded == 0) ? "1" : "$percent_loaded")."%' valign='middle'>
							<div style='position:absolute;'>
								<nobr>Загруженность сервера $percent_loaded%</nobr>
							</div>&nbsp;
						</td>
						<td>&nbsp;</td>
					</tr>
				</table>
			</div>
			
			<div class='block_line'>
				<div class='block address'>
					<div class='t'>Адрес сервера:</div>
					<div class='block_line_small'>{$server_data['server_ip']}</div>
				</div>
			</div>			

			<div class='block_line'>
				<div class='block map'>
					<div class='t'>Текущая карта:</div>
					<div class='block_line_small'>{$server_data['server_map']}</div>
				</div>
			</div>

			<div class='block_line'>
				<div class='block players'>
					<div class='t'>Игроки:</div>
					<div class='block_line_small'>{$server_data['server_players']}/{$server_data['server_maxplayers']}</div>
				</div>
			</div>

			<div class='block_line'>
				<div class='block votes'>
					<div class='t'>Голосов за сервер:</div>
					<div class='block_line_small'>
						<span class='votes_count' id='votes_count_{$server_data['server_id']}' >".$server_data['votes']."</span>
						<span class='vote_buttons' id='vote_buttons_{$server_data['server_id']}'>
						<a href='javascript://' onClick=\"rating({$server_data['server_id']}, 'up', '".md5("m0n3ng1ne.s4lt:P{]we{$server_data['server_id']}@._)%;")."');\" class='voteup' id='{$server_data['server_id']}'></a>
						<a href='javascript://' onClick=\"rating({$server_data['server_id']}, 'down', '".md5("m0n3ng1ne.s4lt:P{]we{$server_data['server_id']}@._)%;")."');\" class='votedown' id='{$server_data['server_id']}'></a>
						</span>
					</div>
				</div>
			</div>
			";
	if(!empty($site)) {
		echo "
			<div class='block_line' style='margin-bottom:0;'>
				<div class='block site'>
					<div class='t'>Сайт сервера:</div>
					<small>$site</small>
				</div>
			</div>
	";
	
				
			
	}
	echo "</td>";

		echo "
			<div class='box_rounded'>
				<div class='box_title'>Информация о сервере <b>{$server_data['server_name']}</b>  :</div>
				id сервера: {$server_data['server_id']}<br />
				Статус сервера: $status<br />
				".((!empty($icq)) ? "Связь с администратором сервера <b>ICQ#$icq</b><br />" : "")."	
				Дата регистрации: <b>".@date("d.m.Y H:i", $server_data['server_regdata'])."</b><br />
				".(($server_data['server_status'] == 1) ? "Работает" : "Не работает")." с ".@date("d.m.Y H:i", $server_data['status_change'])."<br />
				Информация о сервере загружена $time_lasted назад<br />	
			</div>
			".(!empty($server_data['about']) ? "
			<br><div class='box_rounded'>
			<div style='padding-bottom:3px;'><b>Описание сервера владельцом:</b></div>
			<span style='color:#999999;'>{$server_data['about']}</span>
			</div>" : "")."
	";
	

	
	// Center col /*(banners)*/ comments
	echo "<td valign='top' style='padding-top: 20px;'><div style='padding:10px;background-color: #363636;-webkit-border-radius: 6px;-moz-border-radius: 6px;border-radius: 6px;'>";
	$com_error = '';
	$errors = Array();
	if(count($_POST)>0){
		$com_name = $_POST['com_name'];
		if(empty($com_name)) {
			$com_name = '';
			$errors[] = 'Вы не ввели своё имя.';
		} elseif(strlen($com_name) < 2 or strlen($com_name) > 12) {
			$com_name = '';
			$errors[] = 'Длина имени должна составлять от 2-х до 12-ти символов.';
		}
		
		$com_text = $_POST['com_text'];
		
		if(empty($com_text)) {
			$com_text = '';
			$errors[] = 'Вы не ввели текст сообщения.';
		} elseif(strlen($com_text > 300)) {
			$com_text = '';
			$errors[] = 'Максимальная длина отзыва 300 символов.';
		}
		
			if(count($errors) != 0) {
			$com_error = "<div style='font-size: 13px;color:white;padding: 5px;border: 1px solid#BC2E2E;background:#522828;text-align: left;'>".$errors[0]."</div>";
		} else {
			$server_id = mysql_real_escape_string($server_id);
			$com_name = mysql_real_escape_string(htmlspecialchars($com_name));
			$com_text = mysql_real_escape_string(htmlspecialchars($com_text));
			$result = mysql_query("INSERT INTO ".DB_COMMENTS." (server_id, username, text, date) VALUES ('$server_id', '$com_name', '$com_text', '".time()."')");
		}
		if (isset($_POST['but1']))
{
print "<div style='font-size: 18px;color:#BC2E2E;padding-bottom:5px;'>Ваш отзыв будет добавлен после проверки!</div><br>";
} 
	}



	echo "
	<div style='font-size: 18px;color:#EEEEEE;padding-bottom:5px;'>Оставить отзыв о сервере:</div>
	<form method='POST' class='comments'>
	".((!empty($com_error)) ? "$com_error" : '')."
	<div style='padding-bottom:5px;'>Ваш ник: <input type='text' name='com_name'".((!empty($com_name)) ? " value='$com_name'" : '')."></div>
	<div style='padding-bottom:3px;'><textarea name='com_text' style='width:100%;height: 35px;'>".((!empty($com_text)) ? "$com_text" : '')."</textarea></div>
	<div style='float:right;padding-bottom:10px;'><input type='submit' name='but1' class='submit' 'value='Добавить отзыв'></div>
	<div class='clearfix'></div>
	<div style='font-size: 13px;color:#FFF;padding:5px;border: 1px solid #BC2E2E;background: #522828;text-align:left;'><b>ВНИМАНИЕ!</b> Комментарии проходят обязательную модерацию. <br> <br>Комментарии, которые не&nbsp;будут промодерированы:<br>&nbsp;&nbsp;—&nbsp;«классный сервер», «супер сервак» и&nbsp;им&nbsp;подобные;<br>&nbsp;&nbsp;—&nbsp;очень короткие, не&nbsp;имеющие широко раскрытых аргументов «за» или «против»;<br>&nbsp;&nbsp;—&nbsp;содержащие большое количество восклицательных знаков (!);<br>&nbsp;&nbsp;—&nbsp;содержащие маты, оскорбления или рекламу;<br>&nbsp;&nbsp;—&nbsp;написанные БОЛЬШИМИ БУКВАМИ;<br>&nbsp;&nbsp;—&nbsp;написанные транслитом.<br> <br>Спасибо за&nbsp;понимание.</div>
	</form>";
	unset($_SESSION['captcha_keystring']);
	echo "</div><br>";
	echo "<div style='font-size: 18px;'>Отзывы о сервере ".$server_data['server_name']."</div>";
	$get_comments = mysql_query("SELECT * FROM ".DB_COMMENTS." WHERE server_id='$server_id' and type!='0'");
	echo "<div class='server_comments'>";
	if(mysql_num_rows($get_comments) != 0) {
		while($comments = mysql_fetch_assoc($get_comments)) {
			echo "
					<div class='comment'>
					<div class='comment_text'>
					<span class='name'>{$comments['username']}</span> {$comments['text']}
					</div>
					<p class='posttime'>".@date("d.m.Y H:i", $comments['date'])."</p>
					<p class='".(($comments['type'] == 1) ? "positive" : "negative")."_post'>".(($comments['type'] == 1) ? "Позитивный" : "Негативный")." отзыв</p>
					<div class='clearfix'></div>
					</div>
				";
		}
	} else {
		echo "<div class='comment'><div class='comment_text'>Этот сервер не имеет пока что отзывов.</div></div>";
	}
	echo "</div>";
	echo "</td>";
	
////
				
	echo "</td>";

	echo "</table>";
	echo "</div>";
}

?>